import { StyleSheet } from 'react-native';
import MapView from "@teovilla/react-native-web-maps";
import { Text, View } from './Themed';

export default function Map() {
  return (
    <View style={styles.container}>
      <Text style={styles.title}>Map View</Text>
      {/* <View style={styles.separator} lightColor="#eee" darkColor="rgba(255,255,255,0.1)" /> */}
      <View style={styles.separator} darkColor="rgba(255,255,255,0.1)" />
      <Text>Map view on the web is still in development.</Text>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center',
  },
  title: {
    fontSize: 20,
    fontWeight: 'bold',
  },
  separator: {
    marginVertical: 30,
    height: 1,
    width: '80%',
  },
});
